# Uses of Annotation Interface
java.io.Serial

Packages that use Serial
Package
Description
java.security
Provides the classes and interfaces for the security framework.
java.security.cert
Provides classes and interfaces for parsing and managing certificates, certificate revocation lists (CRLs), and certification paths.
java.security.interfaces
Provides interfaces for generating RSA (Rivest, Shamir and Adleman AsymmetricCipher algorithm) keys as defined in the RSA Laboratory Technical Note PKCS#1, and DSA (Digital Signature Algorithm) keys as defined in NIST's FIPS-186.
java.text
Provides classes and interfaces for handling text, dates, numbers, and messages in a manner independent of natural languages.
javax.crypto.interfaces
Provides interfaces for Diffie-Hellman keys as defined in RSA Laboratories' PKCS #3.

## Uses of Serial in java.security

Fields in java.security with annotations of type Serial
Modifier and Type
Field
Description
`static long`
Key.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
PrivateKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
PublicKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
Methods in java.security with annotations of type Serial
Modifier and Type
Method
Description
`protected Object`
KeyRep.`readResolve()`
Resolve the Key object.

## Uses of Serial in java.security.cert

Methods in java.security.cert with annotations of type Serial
Modifier and Type
Method
Description
`protected Object`
Certificate.CertificateRep.`readResolve()`
Resolve the Certificate Object.
`protected Object`
CertPath.CertPathRep.`readResolve()`
Returns a `CertPath` constructed from the type and data.
`protected Object`
Certificate.`writeReplace()`
Replace the Certificate to be serialized.
`protected Object`
CertPath.`writeReplace()`
Replaces the `CertPath` to be serialized with a `CertPathRep` object.

## Uses of Serial in java.security.interfaces

Fields in java.security.interfaces with annotations of type Serial
Modifier and Type
Field
Description
`static long`
DSAPrivateKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
DSAPublicKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
ECPrivateKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
ECPublicKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
RSAMultiPrimePrivateCrtKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
RSAPrivateCrtKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
RSAPrivateKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
RSAPublicKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.

## Uses of Serial in java.text

Methods in java.text with annotations of type Serial
Modifier and Type
Method
Description
`protected Object`
AttributedCharacterIterator.Attribute.`readResolve()`
Resolves instances being deserialized to the predefined constants.
`protected Object`
DateFormat.Field.`readResolve()`
Resolves instances being deserialized to the predefined constants.
`protected Object`
MessageFormat.Field.`readResolve()`
Resolves instances being deserialized to the predefined constants.
`protected Object`
NumberFormat.Field.`readResolve()`
Resolves instances being deserialized to the predefined constants.

## Uses of Serial in javax.crypto.interfaces

Fields in javax.crypto.interfaces with annotations of type Serial
Modifier and Type
Field
Description
`static long`
DHPrivateKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
DHPublicKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.
`static long`
PBEKey.`serialVersionUID`
Deprecated.
A `serialVersionUID` field in an interface is ineffectual.